/** @file
  UsbOcUpdateDxeNeonCityEPRP.c -- UsbOcUpdateDxeNeonCityEPRP

  Auto-converted from IDA decompiler output.
  Functions: 1

Copyright (c) HR650X BIOS Decompilation Project
**/

#include "UsbOcUpdateDxeNeonCityEPRP.h"


// Function: ModuleEntryPoint
EFI_STATUS ModuleEntryPoint(EFI_HANDLE ImageHandle, EFI_SYSTEM_TABLE *SystemTable)
{
  EFI_STATUS result; // rax
  __int64 v3; // [rsp+40h] [rbp+18h] BYREF

  sub_3F4(ImageHandle, SystemTable);
  v3 = 0;
  sub_870(0x80000000LL, "UBA:UsbOcUpdate-TypeNeonCityEPRP\n");
  result = (*(__int64 ( **)(void *, _QWORD, __int64 *))(qword_14A8 + 320))(&unk_1370, 0, &v3);
  if ((result & 0x8000000000000000uLL) == 0LL) {
    return (*(EFI_STATUS ( **)(__int64, void *, void *, __int64))(v3 + 16))(v3, &unk_1380, &unk_1428, 16);
  }
  return result;
}
